Name:           net_monitor
Version:        0.30
Release:        %mkrel 4
Summary:        Network monitoring tool
License:        GPLv2
Group:          Monitoring
Url:            https://gitweb.mageia.org/software/net_monitor/
Source0:        https://gitweb.mageia.org/software/net_monitor/snapshot/%{name}-%{version}.tar.xz
Requires:       vnstat
Requires:       python3-gobject3
Requires:       python3-cairo

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  libiw-devel
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
This is a network monitoring tool, intended to replace the old net_monitor from
drakx-net. It supports graphical network monitoring and some advanced features,
such as network profiling, activity monitoring, detailed logging and network
traffic statistics with help of vnstat reporting.

%prep
%autosetup

%build
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}.log

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS TODO
%{_bindir}/%{name}
%{_sysconfdir}/sysconfig/network-scripts/if*.d/netmonitor*
%{python3_sitearch}/%{name}-%{version}-py*
%{python3_sitearch}/%{name}
%ghost %{_logdir}/%{name}.log


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 0.30-4.mga9
+ Revision: 1798966
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.30-3.mga9
+ Revision: 1773588
- Rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 0.30-2.mga9
+ Revision: 1703832
- rebuild for python 3.9

* Wed Feb 17 2021 tmb <tmb> 0.30-1.mga8
+ Revision: 1675516
- translation updates

* Mon Jan 04 2021 neoclust <neoclust> 0.29-1.mga8
+ Revision: 1668856
- New version 0.29

* Sun May 31 2020 zezinho <zezinho> 0.28-1.mga8
+ Revision: 1589265
- new version 0.28

* Mon May 25 2020 zezinho <zezinho> 0.27-1.mga8
+ Revision: 1587513
- new version 0.27

* Sun May 24 2020 zezinho <zezinho> 0.26-1.mga8
+ Revision: 1587446
- new version 0.26

* Sun Feb 16 2020 umeabot <umeabot> 0.25-3.mga8
+ Revision: 1531347
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 0.25-2.mga8
+ Revision: 1439567
- rebuild for python-3.8

* Mon May 20 2019 tmb <tmb> 0.25-1.mga7
+ Revision: 1398648
- translation updates

* Mon Jan 07 2019 tmb <tmb> 0.24-4.mga7
+ Revision: 1351198
- rebuild for python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.24-3.mga7
+ Revision: 1299711
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 tv <tv> 0.24-2.mga7
+ Revision: 1134456
- rebuild for new python

* Mon Jun 05 2017 akien <akien> 0.24-1.mga6
+ Revision: 1106922
- Version 0.24, translation updates

* Mon Mar 13 2017 akien <akien> 0.23-1.mga6
+ Revision: 1092455
- Version 0.23

* Thu Apr 28 2016 daviddavid <daviddavid> 0.22-4.mga6
+ Revision: 1007182
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 0.22-3.mga6
+ Revision: 956239
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.22-2.mga6
+ Revision: 886702
- rebuild for python 3.5

* Fri Oct 02 2015 tv <tv> 0.22-1.mga6
+ Revision: 885705
- fix python3 fallouts (mga#16845)
- requires fixed python3-cairo (mga#16845)

* Thu Sep 17 2015 tv <tv> 0.21-1.mga6
+ Revision: 880154
- fix build due to ^M
- adjust requires
- adjust BRs
- adapted for Python 3

* Mon May 18 2015 tv <tv> 0.20-1.mga5
+ Revision: 822300
- translation update
- translation update

* Sat Apr 11 2015 shlomif <shlomif> 0.19-1.mga5
+ Revision: 820062
- Upgrade to 0.19 and fix mga#15676

* Fri Jan 02 2015 tv <tv> 0.18-1.mga5
+ Revision: 808072
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 0.17-5.mga5
+ Revision: 741992
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.17-4.mga5
+ Revision: 727473
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.17-3.mga5
+ Revision: 682839
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 shlomif <shlomif> 0.17-1.mga5
+ Revision: 610318
- New release 0.17 - thanks to Alexey Loginov.

* Sat Mar 29 2014 shlomif <shlomif> 0.16-2.mga5
+ Revision: 609660
- Convert tabs to spaces (rpmlint)
- Fix MGA#12882 (use of str() instead of unicode()).

* Mon Feb 10 2014 tv <tv> 0.16-1.mga5
+ Revision: 588991
- fix missing interface name in message
- fix treating UTF-8 strings as ascii (mga#12047)
- silent a warning when there's no wireless device

* Wed Dec 18 2013 tv <tv> 0.15-1.mga4
+ Revision: 558354
- updated translations

* Tue Nov 26 2013 zezinho <zezinho> 0.14-2.mga4
+ Revision: 553605
- add python-gi-cairo requires to show graph

* Wed Nov 20 2013 tv <tv> 0.14-1.mga4
+ Revision: 552026
- port to gtk3 using introspection
- drop manual requires

* Wed Nov 06 2013 tmb <tmb> 0.13-1.mga4
+ Revision: 549819
- update to 0.13

* Tue Nov 05 2013 tmb <tmb> 0.12-1.mga4
+ Revision: 549729
- update to 0.12

* Tue Oct 22 2013 luigiwalser <luigiwalser> 0.11-8.mga4
+ Revision: 546356
- fix URL

* Tue Oct 22 2013 umeabot <umeabot> 0.11-7.mga4
+ Revision: 542841
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.11-6.mga4
+ Revision: 497959
- Rebuild to add different pythonegg provides for python 2 and 3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 dmorgan <dmorgan> 0.11-4.mga1
+ Revision: 61179
- Add missing patch
- Make net_monitor not related to a specific distro

* Sun Feb 27 2011 ahmad <ahmad> 0.11-3.mga1
+ Revision: 61177
- use a distro-generic description, should fix (mga #224)

* Sun Feb 20 2011 dmorgan <dmorgan> 0.11-2.mga1
+ Revision: 54763
- imported package net_monitor


* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 0.11-2mdv2011.0
+ Revision: 591291
- rebuild for py2.7

* Mon Jun 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.11-1mdv2010.1
+ Revision: 548031
- 0.11:
- properly check if device dissapears (#57108)

* Mon Jun 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.10-1mdv2010.1
+ Revision: 547998
- 0.10:
- properly check for /var/log/net_monitor.log permissions (#59777)

* Sat Jun 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.09-1mdv2010.1
+ Revision: 547137
- 0.09:
- add support for displaying network connections
- fix handling unsupported network card parameters
- fix crash on x86_64 bits when displaying route information

* Tue May 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.08-1mdv2010.1
+ Revision: 546017
- 0.08:
- properly detect default route on x86_64 systems
- properly calculate network uptime
- modified timeouts to improve system power usage

* Mon Mar 01 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.07-1mdv2010.1
+ Revision: 513263
- 0.07:
- implement initial connection uptime monitoring in GUI
- added ifup.d and ifdown.d scripts to account network uptime

* Wed Oct 14 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.06-1mdv2010.0
+ Revision: 457417
- 0.06:
- support selecting default monitoring interface from command line
- support running from draknetcenter
- display interface icons when available

* Tue Oct 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.05-1mdv2010.0
+ Revision: 457191
- 0.05:
- prevent crashing when running for long time
- pretty-format traffic data

* Thu Oct 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.04-1mdv2010.0
+ Revision: 452202
- 0.04:
- simplified UI

* Wed Sep 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.03-1mdv2010.0
+ Revision: 451674
- 0.03:
- improved network traffic graphics
- displaying global system information in statusbar (routes, DNS, ...)

* Wed Sep 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.02-1mdv2010.0
+ Revision: 451116
- 0.02:
- largely improved execution overhead
- converted to use standard python routines
- interactively monitoring wireless link level
- correctly detecting network interface data
- displaying more detailed interface information
- using two fixed columns for interface data

* Fri Sep 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.01-1mdv2010.0
+ Revision: 448548
- first version.
- Created package structure for net_monitor.

